# class Crypto

#### package js.html

Available on HTML5

The `Crypto` interface represents basic cryptography features available in the current context. It allows access to a cryptographically strong random number generator and to cryptographic primitives.

Documentation Crypto by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/Crypto

### Variables

###

`read onlysubtle:SubtleCrypto`

Returns a `SubtleCrypto` object providing access to common cryptographic primitives, like hashing, signing, encryption or decryption.

### Methods

###

`getRandomValues (array:ArrayBufferView):ArrayBufferView`

Throws:

`null` | DOMError